Page MenuHomeFreeBSD

Update MAINTAINER address of my ports to that of FreeBSD.org
ClosedPublic

Authored by yasu on Sep 28 2021, 2:29 AM.
Tags
None
Referenced Files
Unknown Object (File)
Fri, Feb 3, 5:54 PM
Unknown Object (File)
Tue, Jan 31, 11:01 PM
Unknown Object (File)
Dec 9 2022, 9:24 AM
Unknown Object (File)
Dec 6 2022, 7:17 AM
Subscribers

Details

Summary

Approved by: meta (mentor), ygy (mentor)

Diff Detail

Repository
rP FreeBSD ports repository
Lint
No Lint Coverage
Unit
No Test Coverage
Build Status
Buildable 41798
Build 38687: arc lint + arc unit

Event Timeline

yasu requested review of this revision.Sep 28 2021, 2:29 AM

Add 'Differential Revision:' to commit message.

This revision is now accepted and ready to land.Sep 28 2021, 3:42 AM

Update first line of commit message as git push is rejected as following.

yasu@rolling-vm-freebsd2[1238]% git push
Enumerating objects: 191, done.
Counting objects: 100% (191/191), done.
Delta compression using up to 4 threads
Compressing objects: 100% (61/61), done.
Writing objects: 100% (97/97), 9.67 KiB | 9.67 MiB/s, done.
Total 97 (delta 69), reused 61 (delta 36), pack-reused 0
remote:
remote: ================================================================
remote: First line does not start with the regular
remote: category/port: subject
remote: ================================================================
remote:
To gitrepo.freebsd.org:ports.git
! [remote rejected] main -> main (pre-receive hook declined)
error: failed to push some refs to 'gitrepo.freebsd.org:ports.git'
yasu@rolling-vm-freebsd2[1239]%

This revision now requires review to proceed.Sep 28 2021, 4:54 AM

Now ports tree requires a commit message that begins with */*;.

So amend the 1st line */*: Update MAINTAINER to my FreeBSD.org address and push it.

This revision is now accepted and ready to land.Sep 28 2021, 5:11 AM

Seconded @meta's comment. Also, although not a strict rule, it is usually a convention that the first line of a Git commit message is 50 characters or less. So, try to keep it brief and on-point ;)